Package net.shibboleth.profile.context.navigate

# Class RelyingPartyIdLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<String>
net.shibboleth.profile.context.navigate.RelyingPartyIdLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`, `ContextDataLookupFunction<ProfileRequestContext,String>`

public class RelyingPartyIdLookupFunction extends AbstractRelyingPartyLookupFunction<String>
A function that returns `RelyingPartyContext.getRelyingPartyId()` from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, a null value is returned.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyIdLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### RelyingPartyIdLookupFunction

public RelyingPartyIdLookupFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)